package me.yoqi.app.wxredpacket.utils;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;

/**
 * 接收红包日志管理
 */
public class HongbaoLogger {
    private Context context;
    private SQLiteDatabase database;

    private static final int DATABASE_VERSION = 1;
    private static final String DATABASE_NAME = "wxRedPacket.db";
    private static final String createDatabaseSQL = "CREATE TABLE IF NOT EXISTS HongbaoLog (id INTEGER PRIMARY KEY AUTOINCREMENT, sender TEXT, content TEXT, time TEXT, amount TEXT);";

    /**构造函数
     * @param context
     */
    public HongbaoLogger(final Context context) {
        this.context = context;
        this.initSchemaAndDatabase();
    }

    /**
     * 初始化db数据库
     */
    private void initSchemaAndDatabase() {
        this.database = context.openOrCreateDatabase("wxRedPacket", Context.MODE_PRIVATE, null);

        this.database.beginTransaction();
        this.database.execSQL(createDatabaseSQL);
        this.database.endTransaction();
    }

    /** 插入红包数据
     * @param sender
     * @param content
     * @param amount
     */
    public void writeHongbaoLog(String sender, String content, String amount) {

    }

    /**
     * 获取所有数据
     */
    public void getAllLogs() {

    }
}
